<?php declare(strict_types=1);

namespace Plugin\PunchCommerce;

require_once __DIR__ . '/vendor/autoload.php';

use JTL\Events\Dispatcher;
use JTL\Plugin\Bootstrapper;
use JTL\Session\Frontend;
use JTL\Shop;
use JTL\Helpers\URL;
use Plugin\PunchCommerce\src\BasketHookHandler;
use Plugin\PunchCommerce\src\TransformBasketForPunchCommerce;

class Bootstrap extends Bootstrapper
{

    public function boot(Dispatcher $dispatcher)
    {
        Shop::Smarty()->registerPlugin(\Smarty::PLUGIN_FUNCTION, 'isPunchOut', [$this, 'isPunchOut'], false);

        $handler = new BasketHookHandler($this->getPlugin());
        $dispatcher->listen('shop.hook.' . \HOOK_WARENKORB_PAGE, $handler, 10);

        parent::boot($dispatcher);
    }

    public function isPunchOut(array $params, \Smarty_Internal_TemplateBase $smarty)
    {
        return Frontend::get('punchcommerce_session_id') !== null;
    }
}
