<?php

namespace Plugin\PunchCommerce\src;

use JTL\Plugin\PluginInterface;
use JTL\Session\Frontend;
use JTL\Shop;

class BasketHookHandler
{
    public PluginInterface $plugin;

    public function __construct(PluginInterface $plugin)
    {
        $this->plugin = $plugin;
    }

    public function __invoke()
    {
        $smarty = Shop::Smarty();
        $config = $this->plugin->getConfig();

        $type = Frontend::get('punchcommerce_session_type');
        $id = Frontend::get('punchcommerce_session_id');

        $transform = new TransformBasketForPunchCommerce();
        $result = $transform($config);

        if ($type === 'oci') {
            $service = "/gateway/v1/oci/punchout";
        } else {
            $service = "/gateway/v1/cxml/punchout";
        }

        $hostname = $config->getValue('punchcommerce_url');
        $url = $hostname . $service;

        $smarty->assign('id', $id);
        $smarty->assign('payload', $result->jsonSerialize());
        $smarty->assign('target', $url);
    }
}
